package com.platform.modules.plm.service;

import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.plm.entity.PlmVideoNewsEntity;

/**
 * 视频发布信息表
 * 
 * @author weiyan
 * @email 
 * @date 2018-08-06 19:48:51
 */
public interface PlmVideoNewsService extends IService<PlmVideoNewsEntity> {
	
	Map<String, Object> queryPageMap(Map<String, Object> params);
	
	PageUtils queryPage(Map<String, Object> params);

	PlmVideoNewsEntity queryByTaskId(Long taskId);
	
	Map<String, Object> queryById(Long id);
	
	void upload(MultipartFile materialFile, MultipartFile coverFile, String title, String description, Long userId);
	
	void update(Long id, MultipartFile materialFile, MultipartFile coverFile, String title, String description, Long userId);
	
	void deleteBatch(Long[] ids, Long userId);
	
	void recycleBatch(Long[] ids, Long userId);
	
	void recycleDelete(Long[] ids, Long userId);
}
